.article-video-carousel {
  overflow: hidden;
  padding: var(--space-40px) 0;

  @media (width >= 1024px) {
    padding: var(--space-80px) 0;
  }

  .article-video-carousel__wrapper {
    margin: 0 auto;
  }

  .article-video-carousel__heading-container {
    text-align: center;
    margin-bottom: var(--space-24px);
    padding: 0 var(--space-16px);

    @media (width >= 1024px) {
      margin-bottom: var(--space-40px);
    }

    .article-video-carousel__heading {
      position: relative;
      display: inline-block;
      font-family: var(--body-font-family);
      font-size: 25px;
      font-weight: var(--fw-700);
      color: var(--secondary-black);
      text-transform: uppercase;
      letter-spacing: 0.1em;
      margin: 0;
      padding-top: var(--space-20px);

      @media (width >= 1024px) {
        font-size: 40px;
      }

      &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 60%;
        height: 3px;
        background-color: var(--primary-red);
        transition: width 0.5s;
      }

      &:hover::before {
        width: 100%;
      }
    }
  }

  .article-video-carousel__viewport {
    position: relative;
    overflow: visible;

    @media (width >= 1024px) {
      overflow: hidden;
    }
  }

  .article-video-carousel__track {
    display: flex;
    gap: 20px;
  }

  .article-video-carousel__item {
    flex: 0 0 70%;
    flex-shrink: 0;

    @media (width >= 600px) {
      flex: 0 0 50%;
    }

    .article-video-carousel__link {
      display: block;
      width: 100%;
      height: 100%;
      text-decoration: none;
    }

    .article-video-carousel__picture {
      display: block;
      width: 100%;
      height: 100%;
      transform: scale(0.9);
      transition: transform 0.4s ease;

      img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
      }
    }

    &.article-video-carousel__item--active .article-video-carousel__picture {
      transform: scale(1.1);
    }
  }

  .article-video-carousel__nav {
    display: none;

    @media (width >= 1024px) {
      background-color: transparent;
      background-image: url('/icons/sliderarrow.png');
      background-repeat: no-repeat;
      background-position: -38px center;
      background-size: 75px;
      border: none;
      cursor: pointer;
      display: block;
      height: 67px;
      position: absolute;
      top: 50%;
      width: 38px;
      z-index: 999;

      &.article-video-carousel__nav--prev {
        left: 25%;
        transform: translateY(-50%) scaleX(-1);
      }

      &.article-video-carousel__nav--next {
        right: 25%;
        background-position: right center;
        transform: translateY(-50%);
      }
    }
  }
}
